Index: /trunk/sources/HeuristicLab.Core/Interfaces/IVariable.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/Interfaces/IVariable.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/Interfaces/IVariable.cs	(revision 776)
@@ -26,12 +26,35 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Interface to represent a variable (of an operator) having a name and a value.
+  /// </summary>
   public interface IVariable : IItem {
+    /// <summary>
+    /// Gets or sets the name of the variable.
+    /// </summary>
     string Name { get; set; }
+    /// <summary>
+    /// Gets or sets the value of the variable.
+    /// </summary>
     IItem Value { get; set; }
 
+    /// <summary>
+    /// Gets the value of the variable.
+    /// </summary>
+    /// <typeparam name="T">The type of the variable's value.</typeparam>
+    /// <returns>The value of the current instance.</returns>
     T GetValue<T>() where T : class, IItem;
 
+    /// <summary>
+    /// Occurs when the name of the variable is currently changing.
+    /// </summary>
     event EventHandler<NameChangingEventArgs> NameChanging;
+    /// <summary>
+    /// Occurs when the name of the current instance has been changed.
+    /// </summary>
     event EventHandler NameChanged;
+    /// <summary>
+    /// Occurs when the value of the current instance has been changed.
+    /// </summary>
     event EventHandler ValueChanged;
   }
Index: /trunk/sources/HeuristicLab.Core/Interfaces/IVariableInfo.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/Interfaces/IVariableInfo.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/Interfaces/IVariableInfo.cs	(revision 776)
@@ -26,13 +26,40 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Interface to store meta-information about variables/parameters of operators.
+  /// </summary>
   public interface IVariableInfo : IItem {
+    /// <summary>
+    /// Gets or sets the actual name of the variable info.
+    /// </summary>
     string ActualName { get; set; }
+    /// <summary>
+    /// Gets or sets the formal name of the current instance.
+    /// </summary>
     string FormalName { get; }
+    /// <summary>
+    /// Gets the description of the current instance.
+    /// </summary>
     string Description { get; }
+    /// <summary>
+    /// Gets the data type of the current instance.
+    /// </summary>
     Type DataType { get; }
+    /// <summary>
+    /// Gets the kind of the variable info (in, out, new,...).
+    /// </summary>
     VariableKind Kind { get; }
+    /// <summary>
+    /// Gets or sets a boolean value whether the current instance is a local variable info.
+    /// </summary>
     bool Local { get; set; }
 
+    /// <summary>
+    /// Occurs when the actual name of the current instance has been changed.
+    /// </summary>
     event EventHandler ActualNameChanged;
+    /// <summary>
+    /// Occurs when the local flag has been changed.
+    /// </summary>
     event EventHandler LocalChanged;
   }
Index: /trunk/sources/HeuristicLab.Core/Interfaces/IView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/Interfaces/IView.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/Interfaces/IView.cs	(revision 776)
@@ -26,9 +26,24 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// An interface for all kinds visual representations of items (objects, operators...).
+  /// </summary>
   public interface IView : IControl {
+    /// <summary>
+    /// Gets the current item instance.
+    /// </summary>
     IItem Item { get; }
+    /// <summary>
+    /// Gets or sets the caption of the current instance. 
+    /// </summary>
     string Caption { get; set; }
 
+    /// <summary>
+    /// Occurs when the item was changed.
+    /// </summary>
     event EventHandler ItemChanged;
+    /// <summary>
+    /// Occurs when the caption was changed.
+    /// </summary>
     event EventHandler CaptionChanged;
   }
Index: /trunk/sources/HeuristicLab.Core/Interfaces/IViewable.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/Interfaces/IViewable.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/Interfaces/IViewable.cs	(revision 776)
@@ -25,5 +25,12 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Interface to represent items that can displayed visually.
+  /// </summary>
   public interface IViewable {
+    /// <summary>
+    /// Creates a view to display the current instance.
+    /// </summary>
+    /// <returns>The created view.</returns>
     IView CreateView();
   }
Index: /trunk/sources/HeuristicLab.Core/Interfaces/IVisualizationItem.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/Interfaces/IVisualizationItem.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/Interfaces/IVisualizationItem.cs	(revision 776)
@@ -25,4 +25,7 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Marker interface for items that can be visualized.
+  /// </summary>
   public interface IVisualizationItem : IItem { }
 }
Index: /trunk/sources/HeuristicLab.Core/ItemBase.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/ItemBase.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/ItemBase.cs	(revision 776)
@@ -26,18 +26,40 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Represents the base class for all basic item types.
+  /// </summary>
   public abstract class ItemBase : StorableBase, IItem {
+    /// <summary>
+    /// Creates a new instance of <see cref="ItemBaseView"/> for 
+    /// visual representation of the current instance.
+    /// </summary>
+    /// <returns>The created instance as <see cref="ItemBaseView"/>.</returns>
     public virtual IView CreateView() {
       return new ItemBaseView(this);
     }
 
+    /// <summary>
+    /// Gets the string representation of the current instance.
+    /// </summary>
+    /// <returns>The type name of the current instance.</returns>
     public override string ToString() {
       return GetType().Name;
     }
 
+    /// <summary>
+    /// Fires a new <c>Changed</c> event.
+    /// </summary>
+    /// <remarks>Calls <see cref="OnChanged"/>.</remarks>
     public void FireChanged() {
       OnChanged();
     }
 
+    /// <summary>
+    /// Occurs when the current item was changed.
+    /// </summary>
     public event EventHandler Changed;
+    /// <summary>
+    /// Fires a new <c>Changed</c> event.
+    /// </summary>
     protected virtual void OnChanged() {
       if (Changed != null)
Index: /trunk/sources/HeuristicLab.Core/ItemBaseView.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/ItemBaseView.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/ItemBaseView.cs	(revision 776)
@@ -28,9 +28,19 @@
 using System.Windows.Forms;
 
-namespace HeuristicLab.Core {
+namespace HeuristicLab.Core { 
+  /// <summary>
+  /// The base class for visual representations of items.
+  /// </summary>
   public partial class ItemBaseView : ViewBase {
+    /// <summary>
+    /// Initializes a new instance of <see cref="ItemBaseView"/>.
+    /// </summary>
     public ItemBaseView() {
       InitializeComponent();
     }
+    /// <summary>
+    /// Intializes a new instance of <see cref="ItemBaseView"/> with the given <paramref name="item"/>.
+    /// </summary>
+    /// <param name="item">The item that should be displayed.</param>
     public ItemBaseView(IItem item)
       : this() {
Index: /trunk/sources/HeuristicLab.Core/ItemEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/ItemEventArgs.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/ItemEventArgs.cs	(revision 776)
@@ -25,10 +25,20 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Event arguments to be able to specify the affected item.
+  /// </summary>
   public class ItemEventArgs : EventArgs {
     private IItem myItem;
+    /// <summary>
+    /// Gets the affected item.
+    /// </summary>
     public IItem Item {
       get { return myItem; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="ItemEventArgs"/> with the given <paramref name="item"/>.
+    /// </summary>
+    /// <param name="item">The affected item.</param>
     public ItemEventArgs(IItem item) {
       myItem = item;
Index: /trunk/sources/HeuristicLab.Core/ItemIndexEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/ItemIndexEventArgs.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/ItemIndexEventArgs.cs	(revision 776)
@@ -25,10 +25,23 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Event arguments to be able to specify the affected item at a specified index.
+  /// </summary>
   public class ItemIndexEventArgs : ItemEventArgs {
     private int myIndex;
+    /// <summary>
+    /// Gets the affected index.
+    /// </summary>
     public int Index {
       get { return myIndex; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="ItemIndexEventArgs"/> with the given <paramref name="item"/>
+    /// and the given <paramref name="index"/>.
+    /// </summary>
+    /// <remarks>Calls constructor of base class <see cref="ItemEventArgs"/>.</remarks>
+    /// <param name="item">The affected item.</param>
+    /// <param name="index">The affected index.</param>
     public ItemIndexEventArgs(IItem item, int index)
       : base(item) {
Index: /trunk/sources/HeuristicLab.Core/KeyValueEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/KeyValueEventArgs.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/KeyValueEventArgs.cs	(revision 776)
@@ -4,7 +4,13 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Event arguments to be able to specify the affected key-value pair.
+  /// </summary>
   public class KeyValueEventArgs : EventArgs {
 
     private IItem key;
+    /// <summary>
+    /// Gets the affected key.
+    /// </summary>
     public IItem Key {
       get { return key; }
@@ -12,8 +18,17 @@
 
     private IItem value;
+    /// <summary>
+    /// Gets the affected value.
+    /// </summary>
     public IItem Value {
       get { return value; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="KeyValueEventArgs"/> with the given <paramref name="key"/>
+    /// and <paramref name="value"/>.
+    /// </summary>
+    /// <param name="key">The affected key.</param>
+    /// <param name="value">The affected value.</param>
     public KeyValueEventArgs(IItem key, IItem value) {
       this.key = key;
Index: /trunk/sources/HeuristicLab.Core/NameChangingEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/NameChangingEventArgs.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/NameChangingEventArgs.cs	(revision 776)
@@ -26,14 +26,32 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Event arguments to be able to specify the affected name.
+  /// </summary>
   public class NameChangingEventArgs : CancelEventArgs {
     private string myName;
+    /// <summary>
+    /// Gets the affected name.
+    /// </summary>
     public string Name {
       get { return myName; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="NameChangingEventArgs"/> 
+    /// with the specified <paramref name="name"/>.
+    /// </summary>
+    /// <param name="name">The affected name.</param>
     public NameChangingEventArgs(string name)
       : base() {
       myName = name;
     }
+    /// <summary>
+    /// Initializes a new instance of <see cref="NameChangingEventArgs"/> 
+    /// with the specified <paramref name="name"/> and a flag whether the event has been canceled.
+    /// </summary>
+    /// <remarks>Calls constructor of base class <see cref="CancelEventArgs"/>.</remarks> 
+    /// <param name="name">The affected name.</param>
+    /// <param name="cancel">Flag, whether the event has been canceled.</param>
     public NameChangingEventArgs(string name, bool cancel)
       : base(cancel) {
Index: /trunk/sources/HeuristicLab.Core/OperationEventArgs.cs
===================================================================
--- /trunk/sources/HeuristicLab.Core/OperationEventArgs.cs	(revision 775)
+++ /trunk/sources/HeuristicLab.Core/OperationEventArgs.cs	(revision 776)
@@ -25,10 +25,21 @@
 
 namespace HeuristicLab.Core {
+  /// <summary>
+  /// Event arguments to be able to specify the affected operation.
+  /// </summary>
   public class OperationEventArgs : EventArgs {
     private IOperation myOperation;
+    /// <summary>
+    /// Gets the affected operation.
+    /// </summary>
     public IOperation Operation {
       get { return myOperation; }
     }
 
+    /// <summary>
+    /// Initializes a new instance of <see cref="OperationEventArgs"/> with the given 
+    /// <paramref name="operation"/>.
+    /// </summary>
+    /// <param name="operation">The affected operation.</param>
     public OperationEventArgs(IOperation operation) {
       myOperation = operation;
